Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportClipboardText.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportClipboardText.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportClipboardText.java	(revision 3445)
@@ -75,7 +75,7 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		String result = org.txm.rcp.utils.IOClipboard.read();
 		if (result == null || result.length() == 0) {
-			System.out.println("No copied text. Aborting.");
+			System.out.println(TXMUIMessages.NoCopiedTextAborting);
 			return null;
 		}
 		System.out.println(TXMUIMessages.importClipboardText);
@@ -84,7 +84,7 @@
 			String corpusName = TXMUIMessages.clipboard_2.toUpperCase()+(nextclipcorpus++);
 			File wl = Toolbox.workspace.getLocation();
 			if (wl == null) {
-				System.err.println("Error: Toolbox is not correctly initialized. Clipboard import aborted.");
+				System.err.println("Error: Toolbox is not correctly initialized. Clipboard import aborted."); //$NON-NLS-1$
 				return null;
 			}
 			while (new File(wl, corpusName).exists()) {
@@ -93,7 +93,7 @@
 			
 			String lang = TBXPreferences.getInstance().getString(TBXPreferences.CLIPBOARD_IMPORT_DEFAULT_LANG);
 			boolean askLang = TBXPreferences.getInstance().getBoolean(TBXPreferences.CLIPBOARD_IMPORT_ASK_LANG);
-			TextDialog dialog = new TextDialog(HandlerUtil.getActiveShell(event), "Select the import language to use", "What language must be used to import the clipboard content?", lang);
+			TextDialog dialog = new TextDialog(HandlerUtil.getActiveShell(event), TXMUIMessages.SelectTheImportLanguageToUse, TXMUIMessages.WhatLanguageMustBeUsedToImportTheClipboardContent, lang);
 			if (askLang) {
 				if (dialog.open() == TextDialog.CANCEL) return null;
 				lang = dialog.getText();
@@ -157,8 +157,8 @@
 		project.setImportModuleName("txt"); //$NON-NLS-1$
 		project.setEncoding("UTF-8"); //$NON-NLS-1$
 		project.getEditionDefinition("default").setBuildEdition(true); //$NON-NLS-1$
-		project.getCommandPreferences("concordance").set("view_reference_pattern", 
-				ReferencePattern.referenceToString(Arrays.asList("lbn"), null));
+		project.getCommandPreferences("concordance").set("view_reference_pattern",  //$NON-NLS-1$ //$NON-NLS-2$
+				ReferencePattern.referenceToString(Arrays.asList("lbn"), null)); //$NON-NLS-1$
 		
 		if (lang.length() == 0) lang = Locale.getDefault().getLanguage();
 		if ("??".equals(lang)) { //$NON-NLS-1$
@@ -171,7 +171,7 @@
 		
 		String ttpath = TreeTaggerPreferences.getInstance().getString(TreeTaggerPreferences.INSTALL_PATH);
 		
-		if (ttpath != null && ttpath.length() > 0 && new File(ttpath, "bin").isDirectory()) {
+		if (ttpath != null && ttpath.length() > 0 && new File(ttpath, "bin").isDirectory()) { //$NON-NLS-1$
 			project.setAnnotate(true);
 		}
 		
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenManual.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenManual.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenManual.java	(revision 3445)
@@ -47,10 +47,10 @@
 public class OpenManual extends AbstractHandler {
 
 	public static final HashMap<String, String> files = new HashMap<String, String>();
-	public static final String default_locale = "fr";
+	public static final String default_locale = "fr"; //$NON-NLS-1$
 	static {
-		files.put("fr", "Manuel de TXM 0.8 FR.pdf");
-		files.put("en", "TXM Manual 0.8 EN.pdf");
+		files.put("fr", "Manuel de TXM 0.8 FR.pdf"); //$NON-NLS-1$ //$NON-NLS-2$
+		files.put("en", "TXM Manual 0.8 EN.pdf"); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 
 	/** The Constant ID. */
@@ -73,24 +73,24 @@
 			String file = files.get(locale);
 			if (file == null) file = files.get(default_locale);
 
-			File man = new File(installdir, "doc/"+file);
+			File man = new File(installdir, "doc/"+file); //$NON-NLS-1$
 			if (!man.exists()) {
-				man = new File(installdir, "doc/"+files.get(default_locale));
+				man = new File(installdir, "doc/"+files.get(default_locale)); //$NON-NLS-1$
 			}
 
 			if (man.exists()) {
-				Log.info("Opening file: "+man);
+				Log.info("Opening file: "+man); //$NON-NLS-1$
 				try {
 					Desktop.getDesktop().open(man);
 				} catch (IOException e) {
-					Log.severe("Error: manual not opened: "+e);
+					Log.severe("Error: manual not opened: "+e); //$NON-NLS-1$
 					Log.printStackTrace(e);
 				}
 			} else {
-				Log.severe("Error: manual not found: "+man.getAbsolutePath());
+				Log.severe("Error: manual not found: "+man.getAbsolutePath()); //$NON-NLS-1$
 			}
 		} catch (Throwable e) {
-			Log.severe("Error: manual not opened: "+e);
+			Log.severe("Error: manual not opened: "+e); //$NON-NLS-1$
 			Log.printStackTrace(e);
 		}
 	}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java	(revision 3445)
@@ -114,7 +114,7 @@
 				// Team
 				// if ("org.eclipse.team.svn.ui.SVNTeamPreferences".equals(next.getElementId())) continue;
 				if ("group.editor".equals(next.getElementId())) continue; //$NON-NLS-1$
-				if ("SearchField".equals(next.getElementId())) continue;
+				if ("SearchField".equals(next.getElementId())) continue; //$NON-NLS-1$
 				// if ("PerspectiveSpacer".equals(next.getElementId())) continue;
 				// if ("Spacer Glue".equals(next.getElementId())) continue;
 				// if ("Search-PS Glue".equals(next.getElementId())) continue;
@@ -145,7 +145,7 @@
 		
 		IContributionItem[] mItems, mSubItems;
 		IMenuManager mm = getWindowConfigurer().getActionBarConfigurer().getMenuManager();
-		mm.remove("org.eclipse.ui.run");
+		mm.remove("org.eclipse.ui.run"); //$NON-NLS-1$
 		// mItems = mm.getItems ();
 		// for (int i = 0; i < mItems.length; i++)
 		// {
@@ -189,27 +189,27 @@
 		
 		if (altered.size() > 0) {
 			StringBuilder mess = new StringBuilder();
-			mess.append("Some result have been manually modified: ");
+			mess.append(TXMUIMessages.SomeResultHaveBeenMannuallyModified);
 			for (TXMResult result : altered) {
-				mess.append("\n- "+result.getName()+ " ("+result.getResultType()+") : "+result.getSimpleDetails());
+				mess.append("\n- "+result.getName()+ " ("+result.getResultType()+") : "+result.getSimpleDetails()); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
-			mess.append("\n\n"+"You're going to lost those modifications if not already exported. Continue?"); //$NON-NLS-1$
-			return MessageDialog.openConfirm(this.getWindowConfigurer().getWindow().getShell(), "Some result have been manually modified", mess.toString());
+			mess.append("\n\n"+TXMUIMessages.YouReGoingToLostThoseModificationsIfNotAlreadyExportedContinue); //$NON-NLS-1$
+			return MessageDialog.openConfirm(this.getWindowConfigurer().getWindow().getShell(), TXMUIMessages.SomeResultHaveBeenManuallyModified, mess.toString());
 		}
 		
 		AnnotationEnginesManager aem = (AnnotationEnginesManager) Toolbox.getEngineManager(EngineType.ANNOTATION);
 		HashMap<CorpusBuild, ArrayList<AnnotationEngine>> notSaved = aem.getEnginesWithSaveNeededPerCorpus();
 		if (notSaved.size() > 0) {
 			StringBuilder mess = new StringBuilder();
-			mess.append( "Some annotations are not saved and will be lost after TXM is closed:");
+			mess.append( TXMUIMessages.SomeAnnotationsAreNotSavedAndWillBeLostAfterTXMIsClosed);
 			for (CorpusBuild corpus : notSaved.keySet())  {
-				mess.append("\n- "+corpus.getName()+": "+corpus.getSimpleDetails());
+				mess.append("\n- "+corpus.getName()+": "+corpus.getSimpleDetails()); //$NON-NLS-1$ //$NON-NLS-2$
 				for (AnnotationEngine a: notSaved.get(corpus)) {
-					mess.append("\n  - "+a.getName());
+					mess.append("\n  - "+a.getName()); //$NON-NLS-1$
 				}
 			}
-			mess.append("\n\nContinue and lost the unsaved annotations ");
-			if(!MessageDialog.openConfirm(this.getWindowConfigurer().getWindow().getShell(), "Some annotations are not saved", mess.toString())) {
+			mess.append(TXMUIMessages.ContinueAndLostTheUnsavedAnnotations);
+			if(!MessageDialog.openConfirm(this.getWindowConfigurer().getWindow().getShell(), TXMUIMessages.SomeAnnotationsAreNotSaved, mess.toString())) {
 				return false;
 			}
 		}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 3445)
@@ -240,21 +240,21 @@
 	
 	public static final String ACTION_REMOVE = "icons/remove.png";//$NON-NLS-1$
 	
-	public static final String WORLD = "icons/world.png";
+	public static final String WORLD = "icons/world.png"; //$NON-NLS-1$
 	
-	public static final String TXM_ICON = "icons/logo/TXM_logo.png";
+	public static final String TXM_ICON = "icons/logo/TXM_logo.png"; //$NON-NLS-1$
 	
-	public static final String TXM = "icons/logo/TXM_logo_64x64.png";
+	public static final String TXM = "icons/logo/TXM_logo_64x64.png"; //$NON-NLS-1$
 	
-	public static final String TXM1616 = "icons/logo/TXM_logo_16x16.png";
+	public static final String TXM1616 = "icons/logo/TXM_logo_16x16.png"; //$NON-NLS-1$
 	
-	public static final String SPLASH = "splash.bmp";
+	public static final String SPLASH = "splash.bmp"; //$NON-NLS-1$
 	
-	public static final String OPEN_DECORATOR = "icons/decorators/bullet_arrow_down.png";
+	public static final String OPEN_DECORATOR = "icons/decorators/bullet_arrow_down.png"; //$NON-NLS-1$
 	
-	public static final String CLOSE_DECORATOR = "icons/decorators/bullet_arrow_up.png";
+	public static final String CLOSE_DECORATOR = "icons/decorators/bullet_arrow_up.png"; //$NON-NLS-1$
 	
-	public static final String TXM_FLAT_LOGO = "icons/logo/TXM_flat_logo.png";
+	public static final String TXM_FLAT_LOGO = "icons/logo/TXM_flat_logo.png"; //$NON-NLS-1$
 	
 	public static final String FILE_IMAGE = "icons/objects/file_image.png"; //$NON-NLS-1$ ;
 	
@@ -325,7 +325,7 @@
 			ImageDescriptor imgg = AbstractUIPlugin.imageDescriptorFromPlugin(pluginId, imagekey);
 			if (imgg == null) {
 				Log.severe("Warning: image not found in '" + pluginId + "' -> '" + imagekey + "'");
-				return getImage("icons/null.png");
+				return getImage("icons/null.png"); //$NON-NLS-1$
 			}
 			
 			images.put(imagekey, new Image(null, imgg.getImageData()));
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 3445)
@@ -178,7 +178,7 @@
 		if (this.groups.containsKey(groupTitle)) {
 			return (GLComposite) this.groups.get(groupTitle);
 		}
-		final GLComposite comp = new GLComposite(subWidgetComposite, SWT.NONE, "Group: " + groupTitle);
+		final GLComposite comp = new GLComposite(subWidgetComposite, SWT.NONE, "Group: " + groupTitle); //$NON-NLS-1$
 		comp.getLayout().horizontalSpacing = 1;
 		comp.getLayout().numColumns = numColumns;
 		comp.getLayout().makeColumnsEqualWidth = makeColumnsEqualWidth;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java	(revision 3445)
@@ -53,7 +53,7 @@
 	 */
 	public static void searchInLines(TableViewer[] viewers) {
 		
-		InputDialog dialog = new InputDialog(viewers[0].getTable().getShell(), "Compute", TXMUIMessages.common_enterRegularExpressionOfYourSearch, "", null);  //$NON-NLS-1$
+		InputDialog dialog = new InputDialog(viewers[0].getTable().getShell(), "Compute", TXMUIMessages.common_enterRegularExpressionOfYourSearch, "", null);  //$NON-NLS-1$ //$NON-NLS-2$
 		if (dialog.open() == Window.OK) {
 			for (TableViewer viewer : viewers) {
 				
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 3445)
@@ -232,7 +232,7 @@
 		
 		if (main != null && project != null) {
 			if (updateMode) {
-				return TXMUIMessages.bind("Update {0} ({1} import)", project.getName(), importName);
+				return TXMUIMessages.bind(TXMUIMessages.UpdateP0P1Import, project.getName(), importName);
 			} else {
 				return TXMUIMessages.bind(TXMUIMessages.p0ImportWithP1, project.getName(), importName);
 			}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/StructuresSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/StructuresSection.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/StructuresSection.java	(revision 3445)
@@ -23,9 +23,9 @@
 	private Text projectionsText;
 	
 	public StructuresSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(editor, toolkit2, form2, parent, style, "structures");
+		super(editor, toolkit2, form2, parent, style, "structures"); //$NON-NLS-1$
 		
-		this.section.setText("Structures");
+		this.section.setText(TXMUIMessages.Structures);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -54,7 +54,7 @@
 		TableWrapData gdata = getTextGridData();
 		milestoneElementsText.setLayoutData(gdata);
 		
-		Label label = toolkit.createLabel(sectionClient, "CQP Structure properties projections", SWT.WRAP);
+		Label label = toolkit.createLabel(sectionClient, TXMUIMessages.CQPStructurePropertiesProjection, SWT.WRAP);
 		gdata = getLabelGridData();
 		gdata.colspan = 2;
 		label.setLayoutData(gdata);
@@ -70,8 +70,8 @@
 	@Override
 	public void updateFields(Project project) {
 		if (this.section != null && !section.isDisposed()) {
-			milestoneElementsText.setText(project.getTextualPlan("MileStones"));
-			projectionsText.setText(project.getTextualPlan("Projections"));
+			milestoneElementsText.setText(project.getTextualPlan("MileStones")); //$NON-NLS-1$
+			projectionsText.setText(project.getTextualPlan("Projections")); //$NON-NLS-1$
 		}
 	}
 	
@@ -79,9 +79,9 @@
 	public boolean saveFields(Project project) {
 		if (this.section != null && !section.isDisposed()) {
 			
-			project.setTextualPlan("MileStones", milestoneElementsText.getText().trim());
+			project.setTextualPlan("MileStones", milestoneElementsText.getText().trim()); //$NON-NLS-1$
 			
-			project.setTextualPlan("Projections", projectionsText.getText().trim());
+			project.setTextualPlan("Projections", projectionsText.getText().trim()); //$NON-NLS-1$
 			
 			return true;
 		}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java	(revision 3445)
@@ -24,7 +24,7 @@
 	private Text outsideTextElementsToEditText;
 	
 	public TextualPlansSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(editor, toolkit2, form2, parent, style, "textualplans");
+		super(editor, toolkit2, form2, parent, style, "textualplans"); //$NON-NLS-1$
 		
 		this.section.setText(TXMUIMessages.textualPlanes);
 		TableWrapLayout layout = new TableWrapLayout();
@@ -68,8 +68,8 @@
 	@Override
 	public void updateFields(Project project) {
 		if (this.section != null && !section.isDisposed()) {
-			outsideTextElementsText.setText(project.getTextualPlan("OutSideTextTags"));
-			outsideTextElementsToEditText.setText(project.getTextualPlan("OutSideTextTagsAndKeepContent"));
+			outsideTextElementsText.setText(project.getTextualPlan("OutSideTextTags")); //$NON-NLS-1$
+			outsideTextElementsToEditText.setText(project.getTextualPlan("OutSideTextTagsAndKeepContent")); //$NON-NLS-1$
 		}
 	}
 	
@@ -77,9 +77,9 @@
 	public boolean saveFields(Project project) {
 		if (this.section != null && !section.isDisposed()) {
 			
-			project.setTextualPlan("OutSideTextTags", outsideTextElementsText.getText().trim());
+			project.setTextualPlan("OutSideTextTags", outsideTextElementsText.getText().trim()); //$NON-NLS-1$
 			
-			project.setTextualPlan("OutSideTextTagsAndKeepContent", outsideTextElementsToEditText.getText().trim());
+			project.setTextualPlan("OutSideTextTagsAndKeepContent", outsideTextElementsToEditText.getText().trim()); //$NON-NLS-1$
 			
 			return true;
 		}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java	(revision 3445)
@@ -33,7 +33,7 @@
 	Combo encodingCombo;
 	
 	public EncodingSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(editor, toolkit2, form2, parent, style, "encoding");
+		super(editor, toolkit2, form2, parent, style, "encoding"); //$NON-NLS-1$
 		
 		this.section.setText(TXMUIMessages.sourceCharactersEncoding);
 		TableWrapLayout layout = new TableWrapLayout();
@@ -83,11 +83,11 @@
 			}
 		});
 		encodingCombo.removeAll();
-		encodingCombo.setToolTipText("Source files encoding code (only the most used are shown)");
+		encodingCombo.setToolTipText(TXMUIMessages.AvailableSourceFilesEncodingCodeOnlyMostUsedAreShown);
 	}
 	
-	String[] commonCharsets = { "UTF-8", "Windows-1252", "MacOSX", "x-MacRoman", "ISO-8859-1", "Windows-1251", "UTF-16", "UTF-32", "GB2312", "EUC-KR", "GBK", "ISO-8859-2", "EUC-JP", "Windows-1250",
-			"ISO-8859-15", "Big5", "Windows-1256", "ISO-8859-9" };
+	String[] commonCharsets = { "UTF-8", "Windows-1252", "MacOSX", "x-MacRoman", "ISO-8859-1", "Windows-1251", "UTF-16", "UTF-32", "GB2312", "EUC-KR", "GBK", "ISO-8859-2", "EUC-JP", "Windows-1250", //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$ //$NON-NLS-11$ //$NON-NLS-12$ //$NON-NLS-13$ //$NON-NLS-14$
+			"ISO-8859-15", "Big5", "Windows-1256", "ISO-8859-9" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 	
 	@Override
 	public void updateFields(Project project) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java	(revision 3445)
@@ -20,12 +20,12 @@
 	
 	private static final int SECTION_SIZE = 1;
 	
-	public static final String DEFAULTFONT = "";
+	public static final String DEFAULTFONT = ""; //$NON-NLS-1$
 	
 	Combo fontCombo;
 	
 	public FontSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(editor, toolkit2, form2, parent, style, "font");
+		super(editor, toolkit2, form2, parent, style, "font"); //$NON-NLS-1$
 		
 		this.section.setText(TXMUIMessages.displayFont);
 		TableWrapLayout layout = new TableWrapLayout();
@@ -84,7 +84,7 @@
 			fontCombo.setText(value);
 		}
 		else {
-			fontCombo.setText("");
+			fontCombo.setText(""); //$NON-NLS-1$
 		}
 	}
 	
@@ -92,7 +92,7 @@
 	public boolean saveFields(Project project) {
 		if (!this.section.isDisposed()) {
 			String value = fontCombo.getText();
-			if (DEFAULTFONT.equals(value)) value = "";
+			if (DEFAULTFONT.equals(value)) value = ""; //$NON-NLS-1$
 			
 			project.setFont(value); // $NON-NLS-1$
 			return true;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java	(revision 3445)
@@ -40,7 +40,7 @@
 	 */
 	public TRSSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		
-		super(editor, toolkit2, form2, parent, style, "Transcriptions");
+		super(editor, toolkit2, form2, parent, style, TXMUIMessages.Transcriptions);
 		
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
@@ -71,19 +71,19 @@
 		displayLocutorsButton.setLayoutData(gdata2);
 		
 		// build text edition or not button
-		indexInterviewerButton = toolkit.createButton(sectionClient, "Index interviewer speech", SWT.CHECK);
+		indexInterviewerButton = toolkit.createButton(sectionClient, TXMUIMessages.IndexInterviewerSpeech, SWT.CHECK);
 		gdata2 = getButtonLayoutData();
 		gdata2.colspan = 4; // one line
 		indexInterviewerButton.setLayoutData(gdata2);
 		
 		// build text edition or not button
-		createPagesForSectionsButton = toolkit.createButton(sectionClient, "Create pages for sections", SWT.CHECK);
+		createPagesForSectionsButton = toolkit.createButton(sectionClient, TXMUIMessages.CreatePagesForSections, SWT.CHECK);
 		gdata2 = getButtonLayoutData();
 		gdata2.colspan = 4; // one line
 		createPagesForSectionsButton.setLayoutData(gdata2);
 		
 		// build text edition or not button
-		indexTranscriberMetadataButton = toolkit.createButton(sectionClient, "Index Transcriber transcription metadata", SWT.CHECK);
+		indexTranscriberMetadataButton = toolkit.createButton(sectionClient, TXMUIMessages.IndexTranscriberTranscriptionMetadata, SWT.CHECK);
 		gdata2 = getButtonLayoutData();
 		gdata2.colspan = 4; // one line
 		indexTranscriberMetadataButton.setLayoutData(gdata2);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3445)
@@ -27,7 +27,7 @@
 
 public class EditionSection extends ImportEditorSection {
 	
-	String ID = "org.txm.rcp.editors.imports.sections.EditionSection";
+	String ID = "org.txm.rcp.editors.imports.sections.EditionSection"; //$NON-NLS-1$
 	
 	private static final int SECTION_SIZE = 1;
 	
@@ -60,7 +60,7 @@
 	 * @param importName temporary parameter to detect if import module is xtzLoader.groovy
 	 */
 	public EditionSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style, HashMap<String, Boolean> moduleParams, String importName) {
-		super(editor, toolkit2, form2, parent, style, "edition");
+		super(editor, toolkit2, form2, parent, style, "edition"); //$NON-NLS-1$
 		
 		this.section.setText(TXMUIMessages.editions);
 		TableWrapLayout layout = new TableWrapLayout();
@@ -92,14 +92,14 @@
 		gdata2.colspan = 4; // one line
 		buildDefaultEditionButton.setLayoutData(gdata2);
 		
-		collapsibleMetadataDefaultEditionButton = toolkit.createButton(sectionClient, "Enable collapsible metadata", SWT.CHECK);
+		collapsibleMetadataDefaultEditionButton = toolkit.createButton(sectionClient, TXMUIMessages.EnableCollapsibleMetadata, SWT.CHECK);
 		// collapsibleMetadataDefaultEditionButton.setSelection(true);
 		gdata2 = getButtonLayoutData();
 		gdata2.colspan = 4; // one line
 		gdata2.indent = 20;
 		collapsibleMetadataDefaultEditionButton.setLayoutData(gdata2);
 		
-		paginateDefaultEditionButton = toolkit.createButton(sectionClient, "Paginate", SWT.CHECK);
+		paginateDefaultEditionButton = toolkit.createButton(sectionClient, TXMUIMessages.Paginate, SWT.CHECK);
 		// paginateDefaultEditionButton.setSelection(true);
 		gdata2 = getButtonLayoutData();
 		gdata2.colspan = 4; // one line
@@ -128,10 +128,10 @@
 			pageBreakText.setLayoutData(gdata);
 		}
 		
-		if (importName.startsWith("xtz")) {
+		if (importName.startsWith("xtz")) { //$NON-NLS-1$
 			
-			Label tmpLabel3 = toolkit.createLabel(sectionClient, "Note elements");
-			tmpLabel3.setToolTipText("Note elements that encodes ponctual notes");
+			Label tmpLabel3 = toolkit.createLabel(sectionClient, TXMUIMessages.NoteElements);
+			tmpLabel3.setToolTipText(TXMUIMessages.NoteElementsThatEncodePonctualNotes);
 			TableWrapData gdata3 = getLabelGridData();
 			gdata3.indent = 40;
 			tmpLabel3.setLayoutData(gdata3);
@@ -142,7 +142,7 @@
 			noteElementsText.setLayoutData(gdata3);
 			
 			// build text edition or not button
-			buildFacsEditionCheckButton = toolkit.createButton(sectionClient, "Build 'facs' edition", SWT.CHECK);
+			buildFacsEditionCheckButton = toolkit.createButton(sectionClient, TXMUIMessages.BuildFacsEdition, SWT.CHECK);
 			buildFacsEditionCheckButton.setSelection(false);
 			TableWrapData gdata22 = getButtonLayoutData();
 			gdata22.colspan = 4; // one line
@@ -159,7 +159,7 @@
 				public void widgetDefaultSelected(SelectionEvent e) {}
 			});
 			// image directory
-			tmpLabel = toolkit.createLabel(sectionClient, "Images directory ");
+			tmpLabel = toolkit.createLabel(sectionClient, TXMUIMessages.ImageDirectory);
 			TableWrapData gdata = getLabelGridData();
 			gdata.indent = 60;
 			tmpLabel.setLayoutData(gdata);
@@ -170,7 +170,7 @@
 			imageDirectoryText.setLayoutData(gdata);
 			imageDirectoryText.setEnabled(false);
 			
-			Button selectImageDirectoryButton = toolkit.createButton(sectionClient, "...", SWT.PUSH);
+			Button selectImageDirectoryButton = toolkit.createButton(sectionClient, "...", SWT.PUSH); //$NON-NLS-1$
 			gdata = getButtonLayoutData();
 			selectImageDirectoryButton.setLayoutData(gdata);
 			selectImageDirectoryButton.addSelectionListener(new SelectionListener() {
@@ -186,7 +186,7 @@
 					}
 					if (dialog.open() != null) {
 						File imgDirectory = new File(dialog.getFilterPath());
-						LastOpened.set(ID, imgDirectory.getParent(), "");
+						LastOpened.set(ID, imgDirectory.getParent(), ""); //$NON-NLS-1$
 						imageDirectoryText.setText(imgDirectory.getAbsolutePath());
 					}
 				}
@@ -195,12 +195,12 @@
 				public void widgetDefaultSelected(SelectionEvent e) {}
 			});
 			
-			tmpLabel = toolkit.createLabel(sectionClient, "Default edition ");
+			tmpLabel = toolkit.createLabel(sectionClient, TXMUIMessages.DefaultEdition);
 			gdata = getLabelGridData();
 			gdata.indent = 20;
 			tmpLabel.setLayoutData(gdata);
 			
-			defaultEditions = toolkit.createText(sectionClient, "", SWT.BORDER);
+			defaultEditions = toolkit.createText(sectionClient, "", SWT.BORDER); //$NON-NLS-1$
 			gdata = getTextGridData();
 			gdata.colspan = 2;
 			defaultEditions.setLayoutData(gdata);
@@ -276,11 +276,11 @@
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
 		
-		buildDefaultEditionButton.setSelection(!project.hasEditionDefinition("default"));
+		buildDefaultEditionButton.setSelection(!project.hasEditionDefinition("default")); //$NON-NLS-1$
 		
-		if (project.hasEditionDefinition("default")) {
+		if (project.hasEditionDefinition("default")) { //$NON-NLS-1$
 			
-			EditionDefinition edition_params = project.getEditionDefinition("default");
+			EditionDefinition edition_params = project.getEditionDefinition("default"); //$NON-NLS-1$
 			boolean be = edition_params.getBuildEdition();
 			buildDefaultEditionButton.setSelection(be);
 			
@@ -293,14 +293,14 @@
 			int wppt = edition_params.getWordsPerPage();
 			wordsPerPageText.setText("" + wppt); //$NON-NLS-1$
 			
-			if (noteElementsText != null) noteElementsText.setText(project.getTextualPlan("Note"));
+			if (noteElementsText != null) noteElementsText.setText(project.getTextualPlan("Note")); //$NON-NLS-1$
 			
 			String pbt = edition_params.getPageElement();
 			if (pageBreakText != null)
 				pageBreakText.setText(pbt);
 		}
 		
-		EditionDefinition edition_params = project.getEditionDefinition("facs");
+		EditionDefinition edition_params = project.getEditionDefinition("facs"); //$NON-NLS-1$
 		boolean bfe = edition_params.getBuildEdition();
 		if (buildFacsEditionCheckButton != null && edition_params != null) {
 			buildFacsEditionCheckButton.setSelection(bfe);
@@ -322,7 +322,7 @@
 	public boolean saveFields(Project project) {
 		if (this.section != null && !this.section.isDisposed()) {
 			
-			String page_break_tag = "pb";
+			String page_break_tag = "pb"; //$NON-NLS-1$
 			
 			if (pageBreakText != null) {
 				page_break_tag = pageBreakText.getText();
@@ -335,30 +335,30 @@
 			boolean build = buildDefaultEditionButton.getSelection();
 			boolean paginate = paginateDefaultEditionButton.getSelection();
 			boolean collapsible = collapsibleMetadataDefaultEditionButton.getSelection();
-			EditionDefinition edition_params = project.getEditionDefinition("default");
-			edition_params.setName("default");
+			EditionDefinition edition_params = project.getEditionDefinition("default"); //$NON-NLS-1$
+			edition_params.setName("default"); //$NON-NLS-1$
 			edition_params.setPageBreakTag(page_break_tag);
 			edition_params.setWordsPerPage(words_per_page);
 			edition_params.setBuildEdition(build);
 			edition_params.setPaginateEdition(paginate);
 			edition_params.setEnableCollapsible(collapsible);
 			
-			if (noteElementsText != null) project.setTextualPlan("Note", noteElementsText.getText());
+			if (noteElementsText != null) project.setTextualPlan(TXMUIMessages.Note, noteElementsText.getText());
 			
 			if (buildFacsEditionCheckButton != null) {
 				
-				String images_directory = "";
+				String images_directory = ""; //$NON-NLS-1$
 				if (imageDirectoryText != null)
 					images_directory = imageDirectoryText.getText();
 				
 				build = buildFacsEditionCheckButton.getSelection();
 				
-				EditionDefinition edition_params2 = project.getEditionDefinition("facs");
+				EditionDefinition edition_params2 = project.getEditionDefinition("facs"); //$NON-NLS-1$
 				edition_params2.setBuildEdition(build);
 				edition_params2.setImagesDirectory(images_directory);
 			}
 			else {
-				EditionDefinition edition_params2 = project.getEditionDefinition("facs");
+				EditionDefinition edition_params2 = project.getEditionDefinition("facs"); //$NON-NLS-1$
 				edition_params2.setBuildEdition(false);
 			}
 			
